##
##  htdig.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         htdig
Summary:      Web Crawler
URL:          http://www.htdig.org/
Vendor:       The ht://Dig Group
Packager:     The OpenPKG Project
Distribution: OpenPKG [EVAL]
Group:        Web
License:      GPL
Version:      3.2.0b3
Release:      20021216

#   list of sources
Source0:      http://www.htdig.org/files/htdig-%{version}.tar.gz
Patch0:       htdig.patch

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20021204, make, flex, zlib, gcc
PreReq:       OpenPKG, openpkg >= 20021204
AutoReq:      no
AutoReqProv:  no

%description
    The ht://Dig system is a complete world wide web indexing and
    searching system for a domain or intranet. This system is not meant
    to replace the need for powerful internet-wide search systems
    like Lycos, Infoseek, Google and AltaVista. Instead it is meant
    to cover the search needs for a single company, campus, or even a
    particular sub section of a web site. As opposed to some WAIS-based
    or web-server based search engines, ht://Dig can easily span several
    web servers. The type of these different web servers doesn't matter
    as long as they understand common protocols like HTTP.

%prep
    %setup -q
    %patch -p0

%build
    CC="%{l_cc}" \
    CXX="%{l_cxx}" \
    CFLAGS="%{l_cflags -O} -Wno-deprecated" \
    CPPFLAGS="%{l_cppflags} -Wno-deprecated" \
    CXXFLAGS="%{l_cxxflags -O} -Wno-deprecated" \
    CXXFLAGS="%{l_cxxflags -O} -Wno-deprecated" \
    ./configure \
        --prefix=%{l_prefix} \
        --with-config-dir=%{l_prefix}/etc/htdig \
        --with-common-dir=%{l_prefix}/web/htdig \
        --with-database-dir=%{l_prefix}/var/htdig \
        --with-default-config-file=%{l_prefix}/etc/htdig/htdig.conf \
        --with-cgi-bin-dir=%{l_prefix}/cgi \
        --with-image-dir=%{l_prefix}/web/htdig/image \
        --with-image-url-prefix=/openpkg/htdig/image \
        --with-search-dir=%{l_prefix}/web/htdig \
        --with-search-form=/openpkg/htdig/search.html \
        --with-zlib=%{l_prefix} \
        --with-apache=%{l_prefix}/bin/apache \
        --disable-bigfile \
        --disable-shared
    %{l_make} %{l_mflags}

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/lib
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/include
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%config %{l_prefix}/etc/htdig/*'

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

